Skip to main content
GET
/
tenant
/
roles
List all available roles
curl --request GET \
  --url https://app.blinkops.com/api/v1/tenant/roles \
  --header 'BLINK-API-KEY: <api-key>'
{
  "limit": 123,
  "offset": 123,
  "total": 123,
  "results": [
    {
      "created_at": 123,
      "created_by": "<string>",
      "description": "<string>",
      "display_name": "<string>",
      "id": "<string>",
      "name": "<string>",
      "tenant_id": "<string>",
      "type": "<string>",
      "updated_at": 123,
      "updated_by": "<string>"
    }
  ]
}

Authorizations

Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.

Query Parameters

q
string

The RQL query object to filter or sort roles by. For more information, see our RQL documentation

Response

Paginated list of roles

limit
integer
offset
integer
total
integer
results
object[]